#include "stm32f0xx.h"                  /* STM32F0xx Definitions              */

// Type definition   
USART_InitTypeDef USART_InitStructure;   
GPIO_InitTypeDef GPIO_InitStructure;   

/*----------------------------------------------------------------------------
  Initialize UART pins, Baudrate   PA9 USART1_TX, PA10 USART1_RX  (AF1))
 *----------------------------------------------------------------------------*/
void SER_Init (void) {

// Enable clocks   
  RCC_AHBPeriphClockCmd( RCC_AHBPeriph_GPIOA, ENABLE);
  RCC_APB1PeriphClockCmd(RCC_APB1Periph_USART2, ENABLE );
                
  GPIO_PinAFConfig(GPIOA,GPIO_PinSource2,GPIO_AF_1);
  GPIO_PinAFConfig(GPIOA,GPIO_PinSource3,GPIO_AF_1);        
   
  // Configure UART2_Tx pin PA2   UART2_Rx pin PA3   
  GPIO_InitStructure.GPIO_Pin = GPIO_Pin_2|GPIO_Pin_3;   
  GPIO_InitStructure.GPIO_Speed = GPIO_Speed_50MHz;   
  GPIO_InitStructure.GPIO_Mode = GPIO_Mode_AF;   
  GPIO_InitStructure.GPIO_OType = GPIO_OType_PP;
  GPIO_InitStructure.GPIO_PuPd = GPIO_PuPd_UP;
  GPIO_Init (GPIOA, &GPIO_InitStructure);   
   
  USART_StructInit(&USART_InitStructure);   
  USART_InitStructure.USART_WordLength = USART_WordLength_8b;   
  USART_InitStructure.USART_StopBits = USART_StopBits_1;   
  USART_InitStructure.USART_Parity = USART_Parity_No ;   
  USART_InitStructure.USART_BaudRate = 115200;   
  USART_InitStructure.USART_HardwareFlowControl = USART_HardwareFlowControl_None;   
  USART_InitStructure.USART_Mode = (USART_Mode_Tx|USART_Mode_Rx);   
  USART_Init(USART2, &USART_InitStructure);   
   
  USART_Cmd(USART2, ENABLE);   
}
/*----------------------------------------------------------------------------
  Write character to Serial Port
 *----------------------------------------------------------------------------*/
int SER_PutChar (int c) {
  while (!(USART2->ISR & (1UL << 7)));
  USART2->TDR = (c & 0x1FF);
  return (c);
}
/*----------------------------------------------------------------------------
  Read character from Serial Port   (blocking read)
 *----------------------------------------------------------------------------*/
int SER_GetChar (void) {
  while (!(USART2->ISR & (1UL << 5)));
  return (USART2->RDR);
}

